package com.cultural.heritage.service.common;

import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.function.Function;

public interface CommonService {


    /**
     * 取出一个集合的某个id列表, 去另外一个集合中筛选出属于这个id列表的集合
     */
    <T, R> List<R> getItemsByIds(List<T> records, IService<R> genericService, Function<T, Long> getId);



    /**
     * 根据 ID 列表获取对应的实体列表
     */
    <T> List<T> getListByIds(List<Long> ids, IService<T> genericService);
}
